/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import '~@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";

/* Importo la fuente Graphik */
@font-face {
  font-family: "graphik-regular";
  src: url("assets/font/Graphik-400-Regular.ttf") format("truetype");
}
@font-face {
  font-family: "graphik-semibold";
  src: url("assets/font/Graphik-600-Semibold.ttf") format("truetype");
}
@font-face {
  font-family: "graphik-bold";
  src: url("assets/font/Graphik-700-Bold.ttf") format("truetype");
}

:root{
  --ion-font-family: "graphik-regular";
}

ion-content{
    --ion-background-color: var(--ion-color-algodon);
    font-family: 'graphik-regular';
}

.menuinferior {
    position: fixed;
    //padding-top: 10px;
    //padding-bottom: 10px;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 1;
    background-color: white/*var(--ion-color-algodon)*/;
}

.menuinferior ion-button{
  height: 50px;
  width: 100%;
}

:root {
    --ion-color-data: #2E38F2;
    --ion-color-data-rgb: 46,56,242;
    --ion-color-data-contrast: #ffffff;
    --ion-color-data-contrast-rgb: 255,255,255;
    --ion-color-data-shade: #2831d5;
    --ion-color-data-tint: #434cf3;
  }
  
  .ion-color-data {
    --ion-color-base: var(--ion-color-data);
    --ion-color-base-rgb: var(--ion-color-data-rgb);
    --ion-color-contrast: var(--ion-color-data-contrast);
    --ion-color-contrast-rgb: var(--ion-color-data-contrast-rgb);
    --ion-color-shade: var(--ion-color-data-shade);
    --ion-color-tint: var(--ion-color-data-tint);
  }

  :root {
    --ion-color-cielo: #4973E8;
    --ion-color-cielo-rgb: 73,115,232;
    --ion-color-cielo-contrast: #ffffff;
    --ion-color-cielo-contrast-rgb: 255,255,255;
    --ion-color-cielo-shade: #4065cc;
    --ion-color-cielo-tint: #5b81ea;
  }
  
  .ion-color-cielo {
    --ion-color-base: var(--ion-color-cielo);
    --ion-color-base-rgb: var(--ion-color-cielo-rgb);
    --ion-color-contrast: var(--ion-color-cielo-contrast);
    --ion-color-contrast-rgb: var(--ion-color-cielo-contrast-rgb);
    --ion-color-shade: var(--ion-color-cielo-shade);
    --ion-color-tint: var(--ion-color-cielo-tint);
  }

  :root {
    --ion-color-cloud: #8FC2FF;
    --ion-color-cloud-rgb: 143,194,255;
    --ion-color-cloud-contrast: #000000;
    --ion-color-cloud-contrast-rgb: 0,0,0;
    --ion-color-cloud-shade: #7eabe0;
    --ion-color-cloud-tint: #9ac8ff;
  }
  
  .ion-color-cloud {
    --ion-color-base: var(--ion-color-cloud);
    --ion-color-base-rgb: var(--ion-color-cloud-rgb);
    --ion-color-contrast: var(--ion-color-cloud-contrast);
    --ion-color-contrast-rgb: var(--ion-color-cloud-contrast-rgb);
    --ion-color-shade: var(--ion-color-cloud-shade);
    --ion-color-tint: var(--ion-color-cloud-tint);
  }

  :root {
    --ion-color-algodon: #EFEFED;
    --ion-color-algodon-rgb: 239,239,237;
    --ion-color-algodon-contrast: #000000;
    --ion-color-algodon-contrast-rgb: 0,0,0;
    --ion-color-algodon-shade: #d2d2d1;
    --ion-color-algodon-tint: #f1f1ef;
  }
  
  .ion-color-algodon {
    --ion-color-base: var(--ion-color-algodon);
    --ion-color-base-rgb: var(--ion-color-algodon-rgb);
    --ion-color-contrast: var(--ion-color-algodon-contrast);
    --ion-color-contrast-rgb: var(--ion-color-algodon-contrast-rgb);
    --ion-color-shade: var(--ion-color-algodon-shade);
    --ion-color-tint: var(--ion-color-algodon-tint);
  }

  :root {
    --ion-color-backend: #141414;
    --ion-color-backend-rgb: 20,20,20;
    --ion-color-backend-contrast: #ffffff;
    --ion-color-backend-contrast-rgb: 255,255,255;
    --ion-color-backend-shade: #121212;
    --ion-color-backend-tint: #2c2c2c;
  }
  
  .ion-color-backend {
    --ion-color-base: var(--ion-color-backend);
    --ion-color-base-rgb: var(--ion-color-backend-rgb);
    --ion-color-contrast: var(--ion-color-backend-contrast);
    --ion-color-contrast-rgb: var(--ion-color-backend-contrast-rgb);
    --ion-color-shade: var(--ion-color-backend-shade);
    --ion-color-tint: var(--ion-color-backend-tint);
  }